package tests.javaee;

import ejbs.MergeReferenceNoCascadeRemote;
import entities.Cubicle;
import entities.Employee;
import javax.naming.InitialContext;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TestsRunner {

    private MergeReferenceNoCascadeRemote remoteObj;
    
    public static void main(String args[]){
        new TestsRunner().test();
    }
    
    public void test() {
        try {
            remoteObj = (MergeReferenceNoCascadeRemote) new InitialContext().lookup("ejbs.MergeReferenceNoCascadeRemote");
            persistRelationship();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    private void persistRelationship() {
        Employee emp = createEmployee(99, "NinetyNine");
        Cubicle cubicle = createCubicle(1099, "Z678SCA");
        
        emp.setCubicle(cubicle);
        
        remoteObj.mergeEmployee(emp);
    }
    
    private Cubicle createCubicle(int id, String code) {
        Cubicle cubicle = new Cubicle();
        cubicle.setPrimKey(id);
        cubicle.setCode(code);
        return cubicle;
    }
    
    private Employee createEmployee(int id, String name) {
        Employee emp = new Employee();
        emp.setId(id);
        emp.setName(name);
        return emp;
    }
}
